> For the complete documentation index, see [llms.txt](https://docs.themeware.design/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.themeware.design/additional-features/extensions/labels-on-product-pages/stock-label.md).

# Stock label

The **stock label** shows the stock of a product in the buybox. Depending on the selected mode it appears permanently or only above/below the thresholds.

***

## Configuration

### **Theme configuration**

1. Go to the "**Product pages**" tab
2. Expand the "**Delivery information labels (in the buy box)**" block
3. Scroll to the section "**Label: Stock label**"
4. Enable the configuration "**Show stock label**"
5. Save your changes after editing

{% hint style="info" %}
**Note**: The label is displayed if the stock label is enabled – permanently or only above/below the thresholds, depending on the selected mode (see Options).
{% endhint %}

***

## Options

* **Mode**
  * "Show stock above/below the threshold": The label only appears if the stock is below the "Threshold (low stock)" or above the "Threshold (high stock)".
  * "Always show stock": The current stock is shown regardless of the thresholds.
* **Threshold (low stock)** / **Threshold (high stock)**: Limits for the "above/below the threshold" mode.

***

## Summary

#### Theme configuration

* Tab "Product pages" => Block "Delivery information labels (in the buy box)" => Section "Label: Stock label" => Show stock label
* Tab "Product pages" => Block "Delivery information labels (in the buy box)" => Section "Label: Stock label" => Mode
* Tab "Product pages" => Block "Delivery information labels (in the buy box)" => Section "Label: Stock label" => Threshold (low stock) / Threshold (high stock)

#### Snippets

* `twt.detail.stockLabel.highStock.label`
  * `%stock%` is replaced by the "Threshold (high stock)".
* `twt.detail.stockLabel.lowStock.label`
  * `%stock%` is replaced by the available stock.
* `twt.detail.stockLabel.stock.label`
  * `%stock%` is replaced by the available stock.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.themeware.design/additional-features/extensions/labels-on-product-pages/stock-label.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
